1. Welcome to the Starbound support forums. Please check the support FAQs before posting: http://playstarbound.com/support

How do I force Steam to play Starbound 1.0 instead of 1.1?

Discussion in 'Starbound Support' started by Anuril, Sep 8, 2016.

  1. Anuril

    Anuril Orbital Explorer

    I was in the middle of a Frackin' Universe playthrough on Starbound 1.0 when Starbound 1.1 dropped out of no where today(I have over 50 mods installed), and I've noticed that everyone seems to have problems with compatibility when playing modded Starbound with the new 1.1 update.

    How do I force my Steam Client to avoid updating Starbound to 1.1 so I can enjoy 1.0 Modded Starbound until all of the mods I play get updated to 1.1?

    Also, once all of my mods DO update to 1.1, will my old saves(player/universe) files still work or will I need to start over? I'm willing to scrap my universe files as long as I can keep my ship and player contents.(but first I have to pack everything before updating, and steam wants me to update right now).
     
  2. dyre00

    dyre00 Poptop Tamer

    Steam used to just let you switch off updating! No idea why they changed it.

    I THINK that switching to Steam offline mode still prevents it from updating. Of course, you'll have to switch Steam back online to play the rest of your Steam library, so make sure you also set Starbound's update mode to "update before playing" or whatever instead of automatically updating (or else it'll just update in the background without informing you), and remember to switch Steam back offline every time you want to play Starbound.

    Hope it works out for you. I'm the same boat as you so I plan to do the same thing once I get home from work.
     
  3. lazarus78

    lazarus78 The Waste of Time

    Copy the Starbound directory somewhere else before it updates. (Steam downloads updates to a temporary folder first before applying them) then just play out of that folder by launching the game exe directly.

    They don't support version selection.
     
  4. Anuril

    Anuril Orbital Explorer

    what about my mods? They're in the steam workshop.
     
  5. lazarus78

    lazarus78 The Waste of Time

    Unpack them and install them like any other mod (In your mods folder in the game directory).

    +1 for why I don't like the workshop. Poor implementation.
     
  6. Anuril

    Anuril Orbital Explorer

    do i extract the .pak file or just place the .pak file in the mods folder? i've never modded starbound outside of steam before. Also, I'd like to get a copy of Frackin' Universe 4.12(the one I had before steam decided to auto-update the workshop despite my game set to "update only on launch", because sayter updated his mod immediately after the 1.1 patch). I currently have Frackin Universe 4.13(which is bugged and crashes since it's made for the 1.1 patch). I can't play my mods anymore unless I get the outdated version of FU.
     
  7. lazarus78

    lazarus78 The Waste of Time

    You could just rename the file for the mod so you can identify it. Then move it to the mods folder.

    As for getting an older version of FU, look for it in the mod repository here on this site.
     
  8. Anuril

    Anuril Orbital Explorer

    I gave it a go, and managed to get a copy of Frackin' Universe 4.12, but sadly it crashed after I tried painfully renaming all of my .pak files, placing them in the mods folder and waiting 20 minutes to download a 70 megabyte file on a DSL connection shared among 4 people(2 of them use Bit Torrent and one other uses Netflix almost nonstop). Here's the Log:
    Edit: Here it is.
     

    Attached Files:

  9. lazarus78

    lazarus78 The Waste of Time

    Looks like one of the mods isnt working properly. Hard to say which one. Whichever has a chat.config file in it, but with them allpacked up, you wiull need to test each one to find out which is causing it.

    Remove like 5 at a time to test till it works again, then re-add till it crashes. that will tell you which mod it is.
     
  10. Anuril

    Anuril Orbital Explorer

    Then it should be obvious: Enhanced Chat Readability Mod.
    Possibly Also Weapon Stats, Improved Food Descriptions(plus it's addon), Searchable Tenant Tags, and Extended GUI, but not entirely sure if those modify chat.config or not.

    Unfortunately i'd have to crawl through each .pak file by first copying them(to avoid corrupting them when I open them improperly), then open the copies in a text editor to see the name of the mod, as i've numbered the mods rather than named them.

    But first i'd need verification if the other 5 mods i've mentioned also modify chat.config or not. Does Weapon Stats/Improved Food Descirptions(and it's Food Stack+No Rot Addon)/Searchable Tenant Tags/Extended GUI modify chat.config or not? How would I check if I couldn't get a hold of the mod authors?

    Edit: Removed just "Enhanced Chat Readability Mod" and it works!(for now. will come back later if it crashes again.) At least Hylian Legends Weapon Mod, Lyira's Gunshop, Frackin Universe and Avali Triage seem to be working as far as i've tested. Idk how the Chat mod got broken tbh and would like some explanation somehow. Since I've already gone into a Vanilla 1.1 playthrough, it'll be a while before I come back to test/play my older modded saves. I think from now on I'll have 2 copies of starbound: 1 for modded and 1 for vanilla(unless I can somehow merge them with modded 1.1, as i've created new saves since vanilla 1.0 on both 1.1 and modded 1.0)
     
    Last edited: Sep 12, 2016
  11. lazarus78

    lazarus78 The Waste of Time

    Actually the log file tells you what mod is which.

    IE Mod "11" is the Vespoids.

    [Info] Root: Detected asset source named 'Vespoids' at '../mods/11.pak'

    Just move mods out of the mods folder till the game stops crashing. Then re-add mods one at a time till it crashes again. That will tell you which mod is causing the crash. And as I said, your log actually tells you which mod is which despite you just numbering them.
     
  12. Anuril

    Anuril Orbital Explorer

    Well I already figured it out by opening each one in text edit, and you are right that #11 is Vespoids. #33 is Enhanced Chat Readability(which is the one I took out.) I guess I did it the hard way, but thanks for the tip. It currently works right now btw, but haven't played much of it btw since I'm in the middle of a Vanilla 1.1 playthrough atm.(this means I can't test if there would be any other more conflicts or not until much later when I beat the game on vanilla.)
     
  13. dekar_serverbot

    dekar_serverbot Void-Bound Voyager

    good luck with that,,, i'm still trying to get the latest early access from steam instead of this uncomplete buggy release version that is crap
     
  14. Anuril

    Anuril Orbital Explorer

    You're trying to play Koala/Giraffe Starbound? Starbound Nightly/Unstable? Or are you trying to play a Different Early Access Game? Because I don't think you can download Giraffe/Koala from Steam itself Anymore. I already have Vanilla Starbound 1.0 Saved on my Desktop. I don't know which mods updated right away as soon as Starbound 1.1 came out(except frackin universe, which i knew updated within 24 hours of it's release), but those are the only ones I'd have to downgrade if I experience any more crashes.
     

Share This Page